<div role="alert" class="p-2 rounded-none alert">
  <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" class="w-6 h-6 stroke-info shrink-0"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M13 16h-1v-4h-1m1-4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z"></path></svg>
  <div class="flex flex-col">
    <div class="flex items-center gap-2">
      실험단계! 버그 및 개선사항을 피드백 해주세요.
      <img src="https://daisyui.com/images/emoji/yawning-face@80.webp" class="w-8"/>
    </div>
    <div class="text-xs text-blue-500">
      * 공고 데이터는 매일 오전 9시에 전날 업로드된 공고를 스크랩해둡니다. 오늘 업로드된 공고를 확인하려면 [오늘일자 공고 조회] 버튼을 클릭해주세요.
    </div>
  </div>

  <div>
    <div class="tooltip tooltip-left" data-tip="오늘 업로드된 공고가 있는지 확인합니다.">
      @if(refreshProcessMessage){
          <button class="text-xs btn btn-outline" disabled>
            <span class="loading loading-spinner"></span>
            <span>{{refreshProcessMessage}}...</span>
          </button>
        } @else {
          <button class="text-xs btn btn-outline" (click)="onRefresh()">
            오늘일자 공고 조회
          </button>
        }
    </div>
  </div>
</div>

<div class="overflow-x-auto">
    <table class="table text-center">
      <thead>
        <tr>
          <th>공고번호</th>
          <th>공고명</th>
          <th>공고부서</th>
          <th>입찰종류</th>
          <th>입찰방법</th>
          <th>낙찰자신청</th>
          <th>입찰신청마감</th>
          <th>투찰시작일시</th>
          <th>투찰종료일시</th>
          <th>공고일자</th>
          <th>진행상태</th>
          <th>지역제한</th>
          <th>추정가격</th>
        </tr>
      </thead>
      <tbody>
        <!-- row 1 -->
        @for(announcement of announcements; track announcement.id;) {
          <tr>
            <td>{{announcement.id}}</td>
            <td>
              <div 
                class="max-w-[300px] text-ellipsis truncate"
                [title]="announcement.name">
                {{announcement.name}}
              </div>
            </td>
            <td>
              <div 
                class="max-w-[200px] text-ellipsis truncate" 
                [title]="announcement.department">
                {{announcement.department}}
              </div>  
            </td>
            <td>{{announcement.bidType}}</td>
            <td>{{announcement.bidMethod}}</td>
            <td>{{announcement.bidderSelection}}</td>
            <td>{{announcement.bidApplicationAt}}</td>
            <td>{{announcement.biddingStartAt}}</td>
            <td>{{announcement.biddingEndAt}}</td>
            <td>{{announcement.announcementDate}}</td>
            <td>{{announcement.progressStatus}}</td>
            <td>{{announcement.regionLimit}}</td>
            <td class="text-end">{{announcement.estimatedPrice}}</td>
          </tr>
        }
      </tbody>
    </table>
  </div>